Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 6685 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoSloučení dvou pravidel

 Odpovědět Odpovědět archiv
Autor
madep Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 01.pro.2006
Lokalita: ČR (Pha)
Používám:
Inventor 2022
Stav: Offline
Bodů: 191
Přímý odkaz na tuto zprávu Téma: Sloučení dvou pravidel
    Zasláno: 15.srp.2020 v 19:37
Mám dvě pravidla. Jedno zapisuje do uživatelské iVlastnosti informaci o materiál, třeba PMMA tl.10mm a druhé pravidlo zapisuje skladové číslo uvedené v řádku "Komentář" do řádku "Skladové číslo". Ptřeboval bych, aby se obě pravidla spouštěla současně, takž jako nejlepší řešení vidím obě pravidla sloučit.
Ale nevím jak.

První pravidlo:
Dim oDoc As PartDocument = ThisDoc.Document
iProperties.Value("Custom", "Materiál") = oDoc.ActiveMaterial.DisplayName

Druhé pravidlo:
If ThisApplication.ActiveDocumentType <> kPartDocumentObject Then Exit Sub

Dim oDoc As PartDocument
oPartDoc = ThisApplication.ActiveDocument

Dim oMat As Asset
oMat = oPartDoc.ActiveMaterial

iProperties.Value("Project", "Stock number") = oMat.Item("physmat_Comments").Value
Zpět nahoru
Navara Zobrazit panel
Arkance Systems support
Arkance Systems support
Avatar
Arkance Systems

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 1637
Přímý odkaz na tuto zprávu Zasláno: 15.srp.2020 v 22:04
V principu je stačí napsat za sebe. Ale musíte si dát pozor, abyste nedefinoval proměnnou se stejným názvem dvakrát.

'Vypujceno z druheho pravidla
If ThisDoc.Document.DocumentType <> DocumentTypeEnum. kPartDocumentObject Then Exit Sub
'První pravidlo:
Dim oPartDoc As PartDocument = ThisDoc.Document

iProperties.Value("Custom", "Materiál") = oPartDoc.ActiveMaterial.DisplayName

'Druhé pravidlo:

'Dim oDoc As PartDocument
'oPartDoc = ThisApplication.ActiveDocument

Dim oMat As Asset
oMat = oPartDoc.ActiveMaterial

iProperties.Value("Project", "Stock number") = oMat.Item("physmat_Comments").Value
Zpět nahoru
madep Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 01.pro.2006
Lokalita: ČR (Pha)
Používám:
Inventor 2022
Stav: Offline
Bodů: 191
Přímý odkaz na tuto zprávu Zasláno: 16.srp.2020 v 15:45
Takhle mě to napadlo, ale nechtělo mi to fungovat.
Tak jsem to udělal takhle:

If ThisApplication.ActiveDocumentType <> DocumentTypeEnum.kPartDocumentObject Then Exit Sub

Dim oDoc As PartDocument = ThisDoc.Document
Dim oMat As Asset = oDoc.ActiveMaterial

iProperties.Value("Custom", "Materiál") = oDoc.ActiveMaterial.DisplayName
iProperties.Value("Project", "Stock number") = oMat.Item("physmat_Comments").Value
Zpět nahoru
Navara Zobrazit panel
Arkance Systems support
Arkance Systems support
Avatar
Arkance Systems

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 1637
Přímý odkaz na tuto zprávu Zasláno: 16.srp.2020 v 16:27
Tohle je samozřejmě mnohem čistší Smile
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 13893:Jak sloučit dvě rozvržení do jednoho?
Tip 11236:VIPJak vykázat Tag různých komponent v jednom sloupci výkazu.
Tip 3463:VIPJak převést DWF soubor ze staršího formátu na novější nebo sloučit více DWF výkresů do jednoho?
Tip 7793:Rozdíl mezi Připojovat a Slučovat při zahrnutí Service Packů do síťové instalace.
Tip 12654:VIPPřehled názvů všech interních příkazů Inventoru.
Tip 12504:VIPJak spustit nebo nakopírovat iLogic pravidlo z jiného dokumentu?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,734 sekund.